Page MenuHomePhabricator

en.wikiversity VisualEditor Changing Active Namespaces
Closed, ResolvedPublic

Description

Reference: https://www.mediawiki.org/wiki/Extension:VisualEditor#Changing_active_namespaces

Per https://en.wikiversity.org/w/index.php?title=Wikiversity:Colloquium&oldid=1997427#VisualEditor_Active_Namespaces , please set $wgVisualEditorAvailableNamespaces to true for the following nine namespaces:

Default:
main
Category
File
User

Custom:
Draft
Help
Portal
School
Wikiversity

Thanks!

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 13 2019, 1:19 PM
Restricted Application added a project: User-Zoranzoki21. · View Herald TranscriptApr 13 2019, 10:50 PM
DannyS712 reassigned this task from DannyS712 to Zoranzoki21.
DannyS712 added a project: User-DannyS712.
DannyS712 removed a project: User-DannyS712.
DannyS712 added subscribers: DannyS712, Zoranzoki21.
DannyS712 removed a subscriber: DannyS712.

Sorry, I didn't refresh the page before claiming it, and so I didn't see it was already taken

@DannyS712 No problem, if you want to do it, you can take it.

@DannyS712 No problem, if you want to do it, you can take it.

In that case, I'd like to. I already have everything open, and was about to start writing a patch before I realized I should claim it. Thanks

Change 503680 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[operations/mediawiki-config@master] en.wikiversity VisualEditor Changing Active Namespaces

https://gerrit.wikimedia.org/r/503680

Zoranzoki21 removed a project: User-Zoranzoki21.

@DannyS712 No problem, if you want to do it, you can take it.

In that case, I'd like to. I already have everything open, and was about to start writing a patch before I realized I should claim it. Thanks

Ok. I will claim this to you.

@Zoranzoki21 I finished the patch - can you take a look?

@Zoranzoki21 I finished the patch - can you take a look?

See comments there.

@DannyS712 , @Zoranzoki21 : Just checking to see if there's any other information you need to complete this request. Thanks!

@Framawiki in response to your -1 "The task desc asks a change for 9 namespaces, there is only five here. If it is wanted, please explain why, thanks!" - the other 4 namespaces are the default namespaces that the visual editor is enabled in - since my code is

'+enwikiversity' => [

the default namespaces are kept, and these 5 are just added, to set the total to 9.

Thanks @DannyS712 for yor explanation.

Any idea when this might be deployed?

Before it can get deployed on servers, the proposed change needs to be accepted (someone with rights has to say +2 in Gerrit) and merged into the codebase. Also see https://www.mediawiki.org/wiki/Gerrit/Code_review/Getting_reviews . Wikimedia in general has room for improvement when it comes to code review, yeah. :-/

Yes, I was just wondering if I could speed up the +2

Before it can get deployed on servers, the proposed change needs to be accepted (someone with rights has to say +2 in Gerrit) and merged into the codebase. Also see https://www.mediawiki.org/wiki/Gerrit/Code_review/Getting_reviews . Wikimedia in general has room for improvement when it comes to code review, yeah. :-/

That's not as easy. The special case of wiki config changes is documented at https://wikitech.wikimedia.org/wiki/SWAT_deploys. To summarize, the patch author @DannyS712 need to add its patch to a deployment window and be present in IRC at the time of the deployment.

@Zoranzoki21 would you be willing to help with this SWAT patch too?

@DannyS712 Hi, SWAT deploying is actually pretty easy. Let me try to split the necessary steps from the docs into an easy-to-follow list of items to do:

  1. Firstly, you need to find a SWAT window you can be available in. All deployment windows (both SWAT and non-SWAT) are in https://wikitech.wikimedia.org/wiki/Deployments this page. You need to pick any window that's named European Mid-day SWAT, Morning SWAT or Evening SWAT. If you can't be available during the whole hour, you can try to schedule your patch and ask the deployer to deploy your patches before everything else because you're in a hurry.
  2. Edit the Deployments page and add your patch. It's done by adding wikitext you can see below this text (named "scheduling syntax"). The number of your patch is announced for instance by gerritbot (change NUMBER had a related patch set uploaded...), or it can be found in the URL to the patch. It's NOT the change-id from commit message. Save your edit. Note: If you've never been to IRC before, I recommend to check if your desired IRC nickname is available by trying to connect at https://webchat.freenode.net/.
  3. SWAT deployer might ask you to test your change at debug servers, to prevent any bugs being introduced into production accidentaly. You can connect to production servers by using a browser extension. It's recommended to install it before the window, see https://wikitech.wikimedia.org/wiki/X-Wikimedia-Debug#Browser_extensions.
  4. At the start of the window (ideally, a minute or two before the actual start), be available in #wikimedia-operations IRC channel. If you've never been to IRC channel before, the easiest way how to connect is https://webchat.freenode.net. Enter the same IRC nickname as in the Deployments page at wikitech. Enter #wikimedia-operations (including the hashtag) to Channels field, don't check Auth to services, check the captcha box and click Connect. Within few seconds, you should be in #wikimedia-operations channel.
  5. When the window starts, a bot will announce the channel. Then, you should say something (like "hi" or "here") to tell the deployers you're ready.
  6. The deployer will then ping you when your patch(es) are about to be deployed. Usually, patches are deployed in order according to what's in the Deployments page, but SWAT deployer might choose any order, as he/she deems appropriate. Generally, the deployer will firstly merge your patch, then deploy it to one of the debug servers and ask you to test it at the debug server, after you say it's all working correctly, they will deploy the patch to production and ask you to test it at production once more, to ensure everything's working correctly. If you don't understand anything SWAT deployer asks you to do, feel free to ask them, they'll be always happy to help.
  7. Once all your patches are deployed, you can quit the channel.

I hope those steps will help you to schedule your first patch for SWAT deployment. Feel free to ask here if you don't understand anything!

scheduling syntax
{{ircnick|IRC nickname}}
* [config] {{gerrit|numberofyourpatchingerrit}} first line of commit message

@Urbanecm I'm just hesitant to use IRC since the cloak I requested over a month ago still hasn't been processed

@DannyS712 How can you be sure it wasn't processed if you didn't try to auth to services after placing your request? You are only informed when it is declined. If it really wasn't processed after a month, you might consider contacting freenode group contact.

@Urbanecm because I've tried before. Just double checked - still shows up with my IP address and not a cloak name

Aha, I see. In that case, contacting somebody from the group contacts is a good idea, see https://meta.wikimedia.org/wiki/IRC/Group_Contacts.

Anyway, in that case, I'm going to schedule on your behalf.

Urbanecm triaged this task as Normal priority.Jun 1 2019, 8:09 PM
Urbanecm moved this task from Backlog to To deploy - SWAT necessary on the User-Urbanecm board.

Thank you so much

Thank you so much

You're welcome. By the way, if you end up uploading a site request patch before you'll be comfortable with going to IRC (probably before your cloak request is processed), you can add User-Urbanecm to the task and move the task to To deploy - SWAT necessary column, I'll schedule it then to some of the SWAT windows.

Scheduled for deployment for EU SWAT, today, 11:00-12:00 UTC.

Change 503680 merged by jenkins-bot:
[operations/mediawiki-config@master] Add 5 active namespaces for VisualEditor on en.wikiversity

https://gerrit.wikimedia.org/r/503680

Mentioned in SAL (#wikimedia-operations) [2019-06-03T11:11:00Z] <urbanecm@deploy1001> Synchronized wmf-config/InitialiseSettings.php: [[:gerrit:503680|Add 5 active namespaces for VisualEditor on en.wikiversity]] (T220881) (duration: 00m 48s)

Urbanecm closed this task as Resolved.Jun 3 2019, 11:11 AM

Deployed.